# Poco::Net

# class RemoteSyslogListener

Library: Net
Package: Logging
Header: Poco/Net/RemoteSyslogListener.h

## Description

RemoteSyslogListener implents listening for syslog messages sent over UDP, according to the syslog Working Group Internet Draft: "The syslog Protocol" <http://www.ietf.org/internet-drafts/draft-ietf-syslog-protocol-17.txt>, and "Transmission of syslog messages over UDP" <http://www.ietf.org/internet-drafts/draft-ietf-syslog-transport-udp-07.txt>.

In addition, RemoteSyslogListener also supports the "old" BSD syslog protocol, as described in RFC 3164.

The RemoteSyslogListener is a subclass of Poco::SplitterChannel. Every received log message is sent to the channels registered with addChannel() or the "channel" property.

## Inheritance

Direct Base Classes: Poco::SplitterChannel

All Base Classes: Poco::Channel, Poco::Configurable, Poco::RefCountedObject, Poco::SplitterChannel

## Member Summary

Member Functions: close, getProperty, open, registerChannel, setProperty

Inherited Functions: addChannel, close, count, duplicate, getProperty, log, open, referenceCount, release, removeChannel, setProperty

## Constructors

### RemoteSyslogListener

RemoteSyslogListener();

Creates the RemoteSyslogListener.

### RemoteSyslogListener

RemoteSyslogListener(
Poco::UInt16 port
);

Creates the RemoteSyslogListener.

## Destructor

### ~RemoteSyslogListener

~RemoteSyslogListener();

Destroys the RemoteSyslogListener.

## Member Functions

### close

void close();

Stops the listener.

See also: Poco::SplitterChannel::close()

### getProperty

std::string getProperty(
const std::string & name
) const;

Returns the value of the property with the given name.

See also: Poco::Channel::getProperty()

### open

void open();

Starts the listener.

See also: Poco::Channel::open()

### registerChannel

static void registerChannel();

Registers the channel with the global LoggingFactory.

### setProperty

void setProperty(
const std::string & name,
const std::string & value
);

Sets the property with the given value.

The following properties are supported:

- port: The UDP port number where to listen for UDP.

See also: Poco::SplitterChannel::setProperty()

## Variables

### PROP_PORT

static const std::string PROP_PORT;